Name:          libfreeaptx
Version:       0.1.1
Release:       1mamba
Summary:       Free implementation of Audio Processing Technology codec (aptX)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/iamthehorker/libfreeaptx
Source:        https://github.com/iamthehorker/libfreeaptx.git/%{version}/libfreeaptx-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
Free implementation of Audio Processing Technology codec (aptX).

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Multimedia
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
%make CC=gcc LDFLAGS=""

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall PREFIX=%{_prefix} LIBDIR=%{_lib}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libfreeaptx.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/freeaptx.h
%{_libdir}/libfreeaptx.so
%{_libdir}/pkgconfig/libfreeaptx.pc
%doc README

%files tools
%defattr(-,root,root)
%{_bindir}/freeaptxdec
%{_bindir}/freeaptxenc

%changelog
* Thu Sep 01 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-1mamba
- package created using the webbuild interface
